import React from "react";

import { colors } from "../../theme";

const PhoneInputStyles = () => (
  <style>
    {`
        .phone-button {
          border-top-left-radius: 0.5em !important;
          border-bottom-left-radius: 0.5em !important;
          border-color: ${colors.blueyGrey} !important;
          border-style: solid !important;
          border-width: 0.12em !important;
        }
        
        .phone-input {
          border-radius: 0.5em !important;
          border-color: ${colors.blueyGrey} !important;
          border-style: solid !important;
          border-width: 0.12em !important;
          font-size: 1em !important;
          font-weight: 500 !important;
          width: 100% !important;
          height: 2.2em !important;
        }

        .phone-input:is([disabled]),
        .phone-input:is([disabled]) ~ .phone-button{
          background-color: ${colors.serviceLightGrey} !important;
        }
        
        .phone-input:not([disabled]):focus,
        .phone-input:not([disabled]):focus ~ .phone-button{
          border-color: ${colors.black} !important;
        }
              
        .phone-input.invalid-number,
        .phone-button.invalid-number {
          border-color: ${colors.mashPaleRed} !important;
          background-color: inherit !important;
        }        
      `}
  </style>
);

export default PhoneInputStyles;
