import styled from "@emotion/styled";

import { colors } from "../../../theme";

export const PaymentFormBody = styled.div`
  display: grid;
  grid-template-columns: 24rem 1fr;
  grid-auto-flow: column;
  justify-content: center;

  > div:first-of-type {
    padding-right: 1rem;
    border-right: 0.1rem solid ${colors.blueyGrey};
  }
`;

export const PaymentDetailsContainer = styled.div`
  display: flex;
  flex-direction: column;
  align-items: end;
  justify-content: center;
  font-weight: 600;
`;

export const SpinnerContainer = styled.div`
  padding-right: 0.3rem;
`;
