import { PaymentsGetTransaction_admin_Transaction_matches } from "../../../graphql/queries/__generated__/PaymentsGetTransaction";

export type FormValues = {
  location: string;
  invoice_id: string | undefined;
  property_id: string;
  payment_id: string;
};

export type PaymentOption = {
  label: string;
  value: string;
};

export type MatchTransactionFormProps = {
  transaction_id: string;
  transactionMatches:
    | readonly PaymentsGetTransaction_admin_Transaction_matches[]
    | null;
};
